Groovy 1.7.0

## org.codehaus.groovy.runtime.callsite
Class PogoMetaMethodSite.PogoCachedMethodSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.MetaMethodSite
                  org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite
                      org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite.PogoCachedMethodSite

    class PogoMetaMethodSite.PogoCachedMethodSite
    extends PogoMetaMethodSite

Field Summary
`Method` | `reflect`

Fields inherited from class MetaMethodSite
params

Fields inherited from class MetaClassSite
metaClass

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`PogoMetaMethodSite.PogoCachedMethodSite(CallSite site, MetaClassImpl metaClass, CachedMethod metaMethod, Class[] params)`

Method Summary
`Object` | `invoke(Object receiver, Object[] args)`

Methods inherited from class PogoMetaMethodSite
call, callCurrent, checkCall, checkCall, checkCall, checkCall, checkCall, checkCall, createCachedMethodSite, createPogoMetaMethodSite, invoke

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage, noCoerce, noWrappers

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### reflect

    final Method reflect

Constructor Detail

### PogoMetaMethodSite.PogoCachedMethodSite

    public PogoMetaMethodSite.PogoCachedMethodSite(CallSite site, MetaClassImpl metaClass, CachedMethod metaMethod, Class[] params)

Method Detail

### invoke

    public Object invoke(Object receiver, Object[] args)

Copyright © 2003-2009 The Codehaus. All rights reserved.